#
# Spec file for prolinga-data
#
Summary: 	Provides access to modern data providers.
Name: 		prolinga-data
Version: 	0.0.2
Release: 	1.fc11.xobas
License: 	GPL
Group:		System Environment/Libraries
Source: 	http://download.prolinga.org/main/sources/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}_LD_LIBRARY.patch
URL: 		http://www.xobas.com/
Vendor: 	Xobas Software
Packager: 	Bas Driessen <bas.driessen@xobas.com>
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
Requires: 	libgda41 >= 4.1.1
Requires: 	libxml2 >= 2.6.5
Requires: 	prolinga-soap >= 0.0.3

%description
The ProLinga-Data project is a project that uses 
the latest libgda technologies to provide 
access to modern data providers.

%package server
Summary:	Daemon binary providing Web Service functionality.
Group:		System Environment/Libraries
Requires:	%name = %{version}
Requires: 	libgda41 >= 4.1.1
Requires:	libxml2 >= 2.6.5
Requires: 	prolinga-soap >= 0.0.3

%description server
This package contains the daemon binary providing
network access.

%package devel
Summary:	Development libraries and header files for prolinga-data.
Group:		Development/Libraries
Requires:	%name = %{version}
Requires: 	libgda41 >= 4.1.0
Requires: 	libgda41-devel >= 4.1.0
Requires: 	libxml2 >= 2.6.5
Requires: 	libxml2-devel >= 2.6.5
Requires: 	prolinga-soap >= 0.0.3
Requires: 	prolinga-soap-devel >= 0.0.3

%description devel
This package contains the header files and libraries needed to write
or compile programs that use prolinga-data.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--with-libgda-prefix=/opt/libgda41 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir}


make
#make html

%install
rm -rf %{buildroot}
%makeinstall

# Put startup script in the right place.
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d/
install -m 755 %{_builddir}/%{name}-%{version}/prolinga/prolingadatd.init %{buildroot}%{_sysconfdir}/rc.d/init.d/prolingadatd

# Put libgda config file in the right place.
mkdir -p %{buildroot}%{_sysconfdir}/libgda/
install -m 755 %{_builddir}/%{name}-%{version}/prolinga/libgda.config %{buildroot}%{_sysconfdir}/libgda/config.prolinga

# Set hostname to localhost in config file.
sed -e "s?`(hostname || uname -n) 2>/dev/null | sed 1q`<?localhost<?g" < %{buildroot}%{_sysconfdir}/prolingadatcfg.xml > %{_tmppath}/prolingadatcfg.tmp
mv %{_tmppath}/prolingadatcfg.tmp %{buildroot}%{_sysconfdir}/prolingadatcfg.xml

%clean
rm -rf %{buildroot}

%post
# update library links.
/sbin/ldconfig

# Change hostname from localhost to real hostname in config file.
sed -e "s?localhost<?`(hostname || uname -n) 2>/dev/null | sed 1q`<?g" < %{_sysconfdir}/prolingadatcfg.xml > %{_tmppath}/prolingadatcfg.tmp
mv %{_tmppath}/prolingadatcfg.tmp %{_sysconfdir}/prolingadatcfg.xml

# Set correct permissions.
chmod 644 %{_sysconfdir}/prolingadatcfg.xml

%post server
# Add prolingadatd as service
/sbin/chkconfig --add prolingadatd

%preun server
if [ "$1" -eq 0 ]; then
    /sbin/service prolingadatd stop > /dev/null 2>&1
    /sbin/chkconfig --del prolingadatd
fi
exit 0

%postun
# update library links.
/sbin/ldconfig

%postun server
if [ "$1" -ge 1 ]; then
    /sbin/service prolingadatd condrestart > /dev/null 2>&1
fi
exit 0

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README NEWS
%doc doc/html
%{_bindir}/prolingadatclient
%{_libdir}/libprolingadata-*.so.*
%{_sysconfdir}/prolingadatcfg.xml
%{_sysconfdir}/libgda/config.prolinga
%{_localstatedir}/lib/prolinga/metastore/readme_metastore.txt

%files server
%defattr(-,root,root)
%{_bindir}/prolingadatd
%config /etc/rc.d/init.d/*

%files devel
%defattr(-, root, root)
%doc doc/*.xml doc/*.xsl doc/*.txt
%{_includedir}/prolinga
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Tue Aug 25 2009 Bas Driessen <bas.driessen@xobas.com> 0.0.2-1.fc11
- Build for Fedora 11.
- Update to new upstream release.
- Build against special libgda41 library.

* Tue May 20 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.fc9
- Build for Fedora 9.

* Mon Mar 24 2008 Bas Driessen <bas.driessen@xobas.com> 0.0.1-1.fc8
- Initial spec file.


